"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusBadge = void 0;
const react_1 = __importDefault(require("react"));
const taskify_shared_1 = require("@dotdev/taskify-shared");
const polaris_1 = require("@shopify/polaris");
const StatusBadge = ({ status }) => {
    const statusBadgeProps = react_1.default.useMemo(() => {
        if (!status)
            return {};
        if (taskify_shared_1.TaskStatus.PENDING === status)
            return { status: "new", progress: "incomplete" };
        if (taskify_shared_1.TaskStatus.RUNNING === status)
            return { status: "info", progress: "partiallyComplete" };
        if (taskify_shared_1.TaskStatus.COMPLETE === status)
            return { status: "success", progress: "complete" };
        if ([taskify_shared_1.TaskStatus.FAILED, taskify_shared_1.TaskStatus.TIMEOUT].includes(status))
            return { status: "critical", progress: "complete" };
        return { status: "info" };
    }, [status]);
    return (react_1.default.createElement(polaris_1.Badge, Object.assign({ size: "medium" }, statusBadgeProps), status.toLowerCase()));
};
exports.StatusBadge = StatusBadge;
