"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useContext = exports.Provider = exports.Context = void 0;
const react_1 = __importDefault(require("react"));
const TaskModal_1 = require("./components/TaskModal");
exports.Context = react_1.default.createContext(null);
const Provider = ({ children }) => {
    const [taskRef, setTaskRef] = react_1.default.useState();
    const [modalOpen, setModalOpen] = react_1.default.useState(false);
    const viewTask = react_1.default.useCallback((taskRef) => {
        setTaskRef(taskRef);
        setModalOpen(true);
    }, []);
    const contextValue = react_1.default.useMemo(() => ({ viewTask }), [viewTask]);
    return (react_1.default.createElement(exports.Context.Provider, { value: contextValue },
        children,
        react_1.default.createElement(TaskModal_1.TaskModal, { open: modalOpen, taskRef: taskRef, onClose: () => setModalOpen(false) })));
};
exports.Provider = Provider;
const useContext = () => react_1.default.useContext(exports.Context);
exports.useContext = useContext;
